classification
Title: __build__ as a temp build directory for setup.py
Type: enhancement Stage: resolved
Components: Distutils, Distutils2 Versions: Python 3.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: alexis, christian.heimes, eric.araujo, r.david.murray, tarek, techtonik
Priority: normal Keywords:

Created on 2012-10-22 13:58 by techtonik, last changed 2012-10-25 07:10 by techtonik. This issue is now closed.

Messages (7)
msg173521 - (view) Author: anatoly techtonik (techtonik) Date: 2012-10-22 13:58
Currently distutils builds files in a temporary directory named 'build' in current dir if not specified otherwise. It will be pythonic to name this directory to be __build__ be default to distinguish it from project specific directories and clarify that this one can be safely removed (much like __pycache__).
msg173523 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-10-22 14:24
I see no reason to make this change.  'build' is pretty much universally understood to be something that can be blown away, and I think that making Python's naming convention different than that used by other open source software projects in similar contexts would be much more confusing than helpful.
msg173529 - (view) Author: anatoly techtonik (techtonik) Date: 2012-10-22 15:21
RDM> 'build' is pretty much universally understood to be something that can be blown away

That's not true anymore in 2012. Why follow the bad practice?

I also want to know what open source software project are you referring to. From my experience 'build' directory name is an ancient legacy from Unix C compilers of previous century. Java doesn't use it, MSVC never did it, CMake doesn't have it, Go seems to build everything in temp dir.
msg173531 - (view) Author: anatoly techtonik (techtonik) Date: 2012-10-22 15:29
Another difference from C sources that it is very convenient to use Python packages directly from source. In this case this unrelated 'build' dir will be the source of confusion if user previously tried to install the package.
msg173534 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2012-10-22 15:51
The bug tracker is the wrong place to discuss your proposal. Please join the distutils-sig [1]. The group coordinates all efforts.

[1] http://www.python.org/community/sigs/current/distutils-sig/
msg173621 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2012-10-23 15:46
Ronald Oussoren on the mailing list:

If the name of the build directory bothers you you can change it by adding two lines to ~/.pydistutils.cfg:

[build]
build-base = __build__


Agreed, closing.
msg173739 - (view) Author: anatoly techtonik (techtonik) Date: 2012-10-25 07:10
That's not an argument. I am asking about it in general.

Another wart of Python.
History
Date User Action Args
2012-10-25 07:10:49techtoniksetmessages: + msg173739
2012-10-23 15:46:36eric.araujosetmessages: + msg173621
2012-10-23 15:45:43eric.araujosetstage: resolved
2012-10-22 15:51:44christian.heimessetstatus: open -> closed

type: enhancement
assignee: eric.araujo ->
versions: + Python 3.4, - Python 3.2, Python 3.3
nosy: + christian.heimes

messages: + msg173534
2012-10-22 15:29:22techtoniksetstatus: pending -> open

messages: + msg173531
2012-10-22 15:21:58techtoniksetstatus: closed -> pending

messages: + msg173529
2012-10-22 14:24:00r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg173523

resolution: rejected
2012-10-22 13:58:41techtonikcreate